- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings/updateAutoForwarding#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings/updateAutoForwarding#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings/updateAutoForwarding#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings/updateAutoForwarding#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings/updateAutoForwarding#body.aspect)

Updates the auto-forwarding setting for the specified account. A verified forwarding address must be specified when auto-forwarding is enabled. For more information, see [Manage email forwarding](https://developers.google.com/workspace/gmail/api/guides/forwarding_settings).

This method is only available to service account clients that have been delegated domain-wide authority.

### HTTP request

`PUT https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/autoForwarding`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` User's email address. The special value "me" can be used to indicate the authenticated user. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/AutoForwarding`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/AutoForwarding`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/gmail.settings.sharing`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).